| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaussian2DProbDenFunc Class Reference
Algo

Two dimensional Gaussian PDF. More...

`#include <gaussianprobdenfunc.h>`

Inheritance diagram for Gaussian2DProbDenFunc:
[legend]

## Public Member Functions
| Gaussian2DProbDenFunc (const char *dim0nm=nullptr, const char *dim1nm=nullptr)
| Gaussian2DProbDenFunc (const Gaussian2DProbDenFunc &oth)
| ~Gaussian2DProbDenFunc ()
float | averagePos (int dim) const override
Gaussian2DProbDenFunc * | clone () const override
void | copyFrom (const ProbDenFunc &) override
void | fillPar (IOPar &) const override
float | getCorrelation () const
const char * | getTypeStr () const override
bool | isEq (const ProbDenFunc &) const override
| already checked for type, name, dim names and units
Gaussian2DProbDenFunc & | operator= (const Gaussian2DProbDenFunc &)
Gaussian2DProbDenFunc & | set (int idim, float exp, float std)
Gaussian2DProbDenFunc & | setCorrelation (float cc)
float | stddevPos (int dim) const override
bool | usePar (const IOPar &) override
Public Member Functions inherited from ProbDenFunc2D
void | drawRandomPos (float &x1, float &x2) const
void | drawRandomPos (TypeSet< float > &v) const override
bool | hasLimits () const override
int | nrDims () const override
float | value (const TypeSet< float > &v) const override
float | value (float x1, float x2) const
Public Member Functions inherited from ProbDenFunc
virtual | ~ProbDenFunc ()
virtual bool | canScale () const
const char * | dimName (int dim) const
void | getIndexTableFor (const ProbDenFunc &pdf, TypeSet< int > &tbl) const
| tbl[0] tells what my index is for pdf's index '0'
const char * | getUOMSymbol (int dim) const
virtual bool | isCompatibleWith (const ProbDenFunc &) const
virtual bool | isEqual (const ProbDenFunc &) const
virtual float | normFac () const
virtual void | prepareRandDrawing () const
virtual bool | readBulk (od_istream &, bool binary)
virtual void | scale (float)
void | setDimName (int dim, const char *)
void | setUOMSymbol (int dim, const char *)
virtual void | writeBulk (od_ostream &, bool binary) const
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | typeStr ()
Static Public Member Functions inherited from ProbDenFunc
static const char * | sKeyNrDim ()

## Private Member Functions
void | drwRandPos (float &, float &) const override
float | gtVal (float, float) const override
bool | hasLims () const override

## Private Attributes
float | cc_ = 0.f
float | exp0_ = 0.f
float | exp1_ = 0.f
Stats::NormalRandGen * | rgen0_ = nullptr
Stats::NormalRandGen * | rgen1_ = nullptr
float | std0_ = 1.f
float | std1_ = 1.f

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Member Functions inherited from ProbDenFunc2D
| ProbDenFunc2D (const char *vnm0="Dim 0", const char *vnm1="Dim 1")
Protected Member Functions inherited from ProbDenFunc
| ProbDenFunc ()
| ProbDenFunc (const ProbDenFunc &)
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

Two dimensional Gaussian PDF.

<>

## Constructor & Destructor Documentation

## ◆ Gaussian2DProbDenFunc() [1/2]

Gaussian2DProbDenFunc::Gaussian2DProbDenFunc | ( | const char * | dim0nm = nullptr,
|  | const char * | dim1nm = nullptr )
| inline

## ◆ Gaussian2DProbDenFunc() [2/2]

Gaussian2DProbDenFunc::Gaussian2DProbDenFunc | ( | const Gaussian2DProbDenFunc & | oth | ) |
| inline

## ◆ ~Gaussian2DProbDenFunc()

Gaussian2DProbDenFunc::~Gaussian2DProbDenFunc | ( |  | ) |

## Member Function Documentation

## ◆ averagePos()

float Gaussian2DProbDenFunc::averagePos | ( | int | dim | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ clone()

Gaussian2DProbDenFunc * Gaussian2DProbDenFunc::clone | ( |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ copyFrom()

void Gaussian2DProbDenFunc::copyFrom | ( | const ProbDenFunc & |  | ) |
| override virtual

Implements ProbDenFunc.

## ◆ drwRandPos()

void Gaussian2DProbDenFunc::drwRandPos | ( | float & | ,
|  | float & | ) const
| override private virtual

Implements ProbDenFunc2D.

## ◆ fillPar()

void Gaussian2DProbDenFunc::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements ProbDenFunc.

## ◆ getCorrelation()

float Gaussian2DProbDenFunc::getCorrelation | ( |  | ) | const
| inline

## ◆ getTypeStr()

const char * Gaussian2DProbDenFunc::getTypeStr | ( |  | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ gtVal()

float Gaussian2DProbDenFunc::gtVal | ( | float | ,
|  | float | ) const
| override private virtual

Implements ProbDenFunc2D.

## ◆ hasLims()

bool Gaussian2DProbDenFunc::hasLims | ( |  | ) | const
| inline override private virtual

Implements ProbDenFunc2D.

## ◆ isEq()

bool Gaussian2DProbDenFunc::isEq | ( | const ProbDenFunc & |  | ) | const
| override virtual

already checked for type, name, dim names and units

Implements ProbDenFunc.

## ◆ operator=()

Gaussian2DProbDenFunc & Gaussian2DProbDenFunc::operator= | ( | const Gaussian2DProbDenFunc & |  | ) |

## ◆ set()

Gaussian2DProbDenFunc & Gaussian2DProbDenFunc::set | ( | int | idim,
|  | float | exp,
|  | float | std )

## ◆ setCorrelation()

Gaussian2DProbDenFunc & Gaussian2DProbDenFunc::setCorrelation | ( | float | cc | ) |
| inline

## ◆ stddevPos()

float Gaussian2DProbDenFunc::stddevPos | ( | int | dim | ) | const
| inline override virtual

Implements ProbDenFunc.

## ◆ typeStr()

static const char * Gaussian2DProbDenFunc::typeStr | ( |  | ) |
| inline static

## ◆ usePar()

bool Gaussian2DProbDenFunc::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements ProbDenFunc.

## Member Data Documentation

## ◆ cc_

float Gaussian2DProbDenFunc::cc_ = 0.f
| private

## ◆ exp0_

float Gaussian2DProbDenFunc::exp0_ = 0.f
| private

## ◆ exp1_

float Gaussian2DProbDenFunc::exp1_ = 0.f
| private

## ◆ rgen0_

Stats::NormalRandGen* Gaussian2DProbDenFunc::rgen0_ = nullptr
| mutable private

## ◆ rgen1_

Stats::NormalRandGen* Gaussian2DProbDenFunc::rgen1_ = nullptr
| mutable private

## ◆ std0_

float Gaussian2DProbDenFunc::std0_ = 1.f
| private

## ◆ std1_

float Gaussian2DProbDenFunc::std1_ = 1.f
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025